"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withDefaultConfig = exports.updateConfig = exports.defaultConfig = exports.loadConfig = void 0;
const vars_1 = require("./../vars");
const file_1 = require("./file");
const loadConfig = (path) => {
    const baseConfig = (0, file_1.loadFile)(path);
    return baseConfig;
};
exports.loadConfig = loadConfig;
exports.defaultConfig = {
    debug: false,
    changeFreq: null,
    resetTime: false,
    outDir: vars_1.OUT_DIR,
    attribution: true,
    ignore: null,
    trailingSlashes: false,
    domain: null
};
const updateConfig = (currConfig, newConfig) => {
    return Object.assign(Object.assign({}, currConfig), newConfig);
};
exports.updateConfig = updateConfig;
const withDefaultConfig = (config) => {
    return (0, exports.updateConfig)(exports.defaultConfig, config);
};
exports.withDefaultConfig = withDefaultConfig;
